hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hsieh (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-7814) Port HBASE-6963 'unable to run hbck on a secure cluster' to 0.94
Date Tue, 12 Feb 2013 18:15:13 GMT

    [ https://issues.apache.org/jira/browse/HBASE-7814?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13576844#comment-13576844
] 

Jonathan Hsieh commented on HBASE-7814:
---------------------------------------

So this requires means this won't compile unless we compile against hadoop 1.0+/.22+ but the
binary should work against the older hadoop right?  I think I'm ok with that but please add
comment and release note about this.

{code}
+    // See HBASE-7814. UserGroupInformation from hadoop 0.20.x may not support getShortUserName().
+    String username;
+    try {
+      UserGroupInformation.class.getMethod("getShortUserName", new Class<?>[]{});
+      username = ugi.getShortUserName();
+    } catch (Exception e) {
{code}

Can we be more specific about the Exception -- maybe figure out what the specific reflection
exception is and use it?  

                
> Port HBASE-6963 'unable to run hbck on a secure cluster' to 0.94
> ----------------------------------------------------------------
>
>                 Key: HBASE-7814
>                 URL: https://issues.apache.org/jira/browse/HBASE-7814
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Ted Yu
>            Assignee: Ted Yu
>             Fix For: 0.94.6
>
>         Attachments: 7814-v2.txt, HBASE-7814-v0.patch
>
>


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message